#!/usr/bin/php -q
<?php
$usageMessage = 'Usage: ' . $argv[0] . ' [config|firmware|show_config]' . "\n";

if (count($argv) <= 1) {
	echo $usageMessage;
	return(1);
}

if (file_exists('/usr/conf/tls/client.crt')) {
	require_once('/usr/php/include/rootHelper.class.php');
	$error = '';
	require_once('/usr/fallback/beroConf.php');
	$bc = new beroConf('root');
	if (!rootHelper::tlsRenewCertificate($bc, $error)) {
		file_put_contents('/tmp/provisioning.log', "provisioning-tls:error:$error", FILE_APPEND);
	}
	if (!rootHelper::tlsCheckCertificate()) {
		file_put_contents('/tmp/provisioning.log', 'provisioning-tls:error:client certificate issue', FILE_APPEND);
	}
}

include('/usr/php/include/provisioningTool.class.php');
$pt = new provisioningTool();

for ($i = 1; $i < $argc; $i++) {
	switch ($argv[$i]) {
	case 'config':
		$save = array();
		if (is_null($bc)) {
			require_once('/usr/fallback/beroConf.php');
			$bc = new beroConf('root');
		}
		if ($bc->get('root', 'redirect-provisioning-tls') == 1) {
			// connected to berocloud. save the cloud connection
			foreach (array('cloud_enable', 'cloud_key', 'cloudAddress', 'cloud_show_status') as $key) {
				$save[$key] = $bc->get('root', $key);
			}
			$bc->delete('root', 'redirect-provisioning-tls');
		}
		$ret = ($pt->updateConfig() == true) ? 0 : 1;
		$pt->updateAppConfig();
		if (!empty($save)) {
			// connected to berocloud. restore the cloud connection
			foreach ($save as $key => $value) {
				$bc->set('root', $key, $value);
			}
		}
		$fm= new fileManagement();
		$fm->activate();
		break;
	case 'firmware':
		$ret = ($pt->updateFirmware() == true) ? 0 : 1;
		$pt->updateApps();
		break;
	case 'show_config':
		$ret = ($pt->showConfig() == true) ? 0 : 1;
		break;
	default:
		echo $usageMessage;
		return(1);
		break;
	}
}

return($ret);
exit(0);
?>
